Bug 4038 - kdevelop неправильно обрабатывает QMAKE-based проекты состоящие из нескольких *.pro файлов
: kdevelop неправильно обрабатывает QMAKE-based проекты состоящие из нескольких...
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/kdevelop)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-04-27 01:02 by
Modified: 2011-07-15 08:04 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-04-27 01:02:45
при наличии нескольких pro файлов в каталоге из которого импортируется проект в
kdevelop, kdevelop использует для импорта 1 по списку файл, хотя он может не
являться главным файлов проекта, а быть вложенным (include) в другой файл
проекта

Steps to Reproduce:
1.создаем файл cdb.pro, и добавляем в него данные
2.создаем файл Star.pro, добавляем в него сроку include (cdb.pro) - включаем
предыдущий файл
3.импортируем QMAKE-based проект в kdevelop
Actual Results:  
получаем список файлов в проекте kdevelop полученных исключительно из cdb.pro,
данные из Star.pro не берутся.

Expected Results:  
список файлов в проекте, включающий файлы и параметры из нескольких pro файлов
------- Comment #1 From 2007-04-24 15:51:52 -------
Вот перевел на английски, и повесил багу на kde сайте:

https://bugs.kde.org/show_bug.cgi?id=144598
------- Comment #2 From 2008-06-13 13:00:39 -------
*** This bug has been confirmed by popular vote. ***
------- Comment #3 From 2011-07-14 22:16:25 -------
Актуально?  В апстриме RESOLVED REMIND со ссылкой на KDE 3.5.8+.
------- Comment #4 From 2011-07-15 08:04:28 -------
Я думаю, уже оппа.

Стабильная версия не работает с qmake'овыми проектами вовсе, а master, для
которого есть плагин, у Поташева серьёзно глючит, сам я её ещё не смотрел.